SolidElementFaceNormalBuilder Class

class NXOpen.CAE.ModelCheck.SolidElementFaceNormalBuilder

Bases: NXOpen.Builder, NXOpen.CAE.ModelCheck.ISelectionBuilder

Represents a NXOpen.CAE.ModelCheck.SolidElementFaceNormalBuilder used to reorient normals for left handed solid elements.

Both of the methods are only available in fem context.

To create a new instance of this class, use NXOpen.CAE.ModelCheckManager.CreateSolidElementFaceNormalBuilder()

New in version NX11.0.0.

Properties

Property Description
CheckScopeOption Returns or sets the check scope setting
NegativeFaceColor Returns or sets the negative face color
PositiveFaceColor Returns or sets the positive face color
SelectionList Returns the selected objects to be checked.
Tag Returns the Tag for this object.

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
CreateGroupOfLeftHandedElements Create group for the left handed elements in NXOpen.CAE.ModelCheck.SolidElementFaceNormalBuilder.CreateGroupOfLeftHandedElements() and returns those elements which were grouped successfully.
Destroy Deletes the builder, and cleans up any objects created by the builder.
DisplayNormals Display normals of NXOpen.CAE.ModelCheck.SolidElementFaceNormalBuilder.DisplayNormals()
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetObject Returns the object currently being edited by this builder.
ReorientLeftHandedElements Reorient normals specified in NXOpen.CAE.ModelCheck.SolidElementFaceNormalBuilder.ReorientLeftHandedElements() which normal is left handed and returns those elements whose normals were reoriented successfully.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Property Detail

CheckScopeOption

SolidElementFaceNormalBuilder.CheckScopeOption

Returns or sets the check scope setting

-------------------------------------

Getter Method

Signature CheckScopeOption

Returns:
Return type:NXOpen.CAE.ModelCheck.CheckScope

New in version NX11.0.1.

License requirements: None.

-------------------------------------

Setter Method

Signature CheckScopeOption

Parameters:scope (NXOpen.CAE.ModelCheck.CheckScope) –

New in version NX11.0.1.

License requirements: None.

NegativeFaceColor

SolidElementFaceNormalBuilder.NegativeFaceColor

Returns or sets the negative face color

-------------------------------------

Getter Method

Signature NegativeFaceColor

Returns:
Return type:int

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature NegativeFaceColor

Parameters:negativeFaceColor (int) –

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

PositiveFaceColor

SolidElementFaceNormalBuilder.PositiveFaceColor

Returns or sets the positive face color

-------------------------------------

Getter Method

Signature PositiveFaceColor

Returns:
Return type:int

New in version NX11.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature PositiveFaceColor

Parameters:positiveFaceColor (int) –

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

SelectionList

SolidElementFaceNormalBuilder.SelectionList

Returns the selected objects to be checked.

The objects must be NXOpen.CAE.Mesh or NXOpen.CAE.FEElement

-------------------------------------

Getter Method

Signature SelectionList

Returns:
Return type:NXOpen.SelectTaggedObjectList

New in version NX11.0.0.

License requirements: None.

Method Detail

CreateGroupOfLeftHandedElements

SolidElementFaceNormalBuilder.CreateGroupOfLeftHandedElements

Create group for the left handed elements in NXOpen.CAE.ModelCheck.SolidElementFaceNormalBuilder.CreateGroupOfLeftHandedElements() and returns those elements which were grouped successfully.

This method will only group left handed solid elements in the current work fem part.

Signature CreateGroupOfLeftHandedElements()

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

DisplayNormals

SolidElementFaceNormalBuilder.DisplayNormals

Display normals of NXOpen.CAE.ModelCheck.SolidElementFaceNormalBuilder.DisplayNormals()

Signature DisplayNormals()

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

ReorientLeftHandedElements

SolidElementFaceNormalBuilder.ReorientLeftHandedElements

Reorient normals specified in NXOpen.CAE.ModelCheck.SolidElementFaceNormalBuilder.ReorientLeftHandedElements() which normal is left handed and returns those elements whose normals were reoriented successfully.

This method will only reorient the normals for solid left handed elements in the current work fem part.

Signature ReorientLeftHandedElements()

New in version NX11.0.0.

License requirements: nx_masterfem (“Finite Element Modeling”) OR nx_design_sim (“NX Design Simulation”)

Validate

SolidElementFaceNormalBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.